PDA

View Full Version : SLES 11 SP3 Upgrading SLES 11 SP3 with SLES 11 SP4 for SAP applications



archproject
25-Jan-2017, 08:03
Hi there,

i am new to this forum and suse, I would like to ask if it is OK if we upgrade "SLES 11 SP3" (normal version) with the iso of "SLES 11 SP4 for SAP Applications".

Archproject

smflood
25-Jan-2017, 12:06
archproject Wrote in message:

> i am new to this forum and suse, I would like to ask if it is OK if we
> upgrade "*SLES 11 SP3*" (normal version) with the iso of "*SLES 11 SP4
> for SAP Applications*".

The short answer is no.

If you have "normal" SLES11 SP3 you should upgrade to "normal"
SLES11 SP4 which can be done offline using the "normal" SLES11
SP4 media or online via the patch channels (whether direct from
SUSE or a locally hosted SMT/SUSE Manager server).

If you actually want to end up with SLES11 SP4 for SAP
Applications you can either migrate "normal" SLES11 SP3 to SLES11
SP3 for SAP Applications[1] and then upgrade to SLES11 SP4 for
SAP Applications or upgrade "normal" SLES11 SP3 to "normal"
SLES11 SP4 then migrate to SLES11 SP4 for SAP Applications[2].

HTH.

[1] https://www.suse.com/support/kb/doc?id=7015710
[2] https://www.suse.com/support/kb/doc?id=7016707
--
Simon Flood
SUSE Knowledge Partner


----Android NewsGroup Reader----
http://usenet.sinaapp.com/

archproject
26-Jan-2017, 06:19
Thank you for your reply ...

Do you have any documentation on how to do migration ? From SLES 11 SP3 to SLES4SAP 11 SP3 ?

smflood
26-Jan-2017, 12:09
On 26/01/17 05:24, archproject wrote:

> Do you have any documentation on how to do migration ? From SLES4SAP 11
> SP3 to SLES4SAP 11 SP4 ?

So firstly you're mixing up upgrades vs migrations. If you have SLES11
SP3 for SAP Applications and want to get to SLES11 SP4 for SAP
Applications it's an upgrade (just as "normal" SLES11 SP3 to "normal"
SLES11 SP4 is an upgrade) - if you want to go from "normal" SLESx SPy to
SLESx SPy for SAP Applications it's a migration.

If you can post the output from "cat /etc/*release" it will tell us what
you are actually now running and it seems you want to get to SLES11 SP4
for SAP Applications - correct?

To cover all possible combinations of what you may be wanting to do:

For migrating "normal" SLES11 SP3 to SLES11 SP3 for SAP Applications see
TID 7015710[1].

For migrating "normal" SLES11 SP4 to SLES11 SP4 for SAP Applications see
TID 7016707[2].

For upgrading "normal" SLES11 SP3 to "normal" SLES11 SP4 _or_ SLES11 SP3
for SAP Applications to SLES11 SP4 to SAP Applications see the
"Upgrading from SLES/SLED 11 SP3 to SLE 11 SP4" section of TID
7016711[3] - if using SLES11 SP3 for SAP Applications observe the
following note in "2) Update by using zypper":

--begin--
Note: If the server is running with "SUSE Linux Enterprise Server 11 for
SAP Applications", make sure not to install the "sle-hae-SPx-migration"
and or "SUSE_SLES-SPx-migration" products if these should be listed with
the "zypper se -t product | grep -h -- "-migration" | cut -d\| -f2"
command mentioned above. If they are installed they need to be removed
deinstalling them. Make sure there is no such product listed afterwards
in "/etc/products.d/".
---end---

There's also the Updating SLE 11 SP3 to SLE 11 SP4 section of the SLES11
Deployment Guide[4] but that doesn't reference SLES11 SP3 for SAP
Applications.

HTH.

[1] https://www.suse.com/support/kb/doc?id=7015710
[2] https://www.suse.com/support/kb/doc?id=7016707
[3] https://www.suse.com/support/kb/doc?id=7016711
[4]
https://www.suse.com/documentation/sles11/book_sle_deployment/data/sec_update_sle11sp3.html
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------